package com.kingdee.eas.custom.performancenew;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ExamineGradePersonCollection extends AbstractObjectCollection 
{
    public ExamineGradePersonCollection()
    {
        super(ExamineGradePersonInfo.class);
    }
    public boolean add(ExamineGradePersonInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ExamineGradePersonCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ExamineGradePersonInfo item)
    {
        return removeObject(item);
    }
    public ExamineGradePersonInfo get(int index)
    {
        return(ExamineGradePersonInfo)getObject(index);
    }
    public ExamineGradePersonInfo get(Object key)
    {
        return(ExamineGradePersonInfo)getObject(key);
    }
    public void set(int index, ExamineGradePersonInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ExamineGradePersonInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ExamineGradePersonInfo item)
    {
        return super.indexOf(item);
    }
}